SDL_test_assert.h File Reference
`#include "begin_code.h"`
`#include "close_code.h"`
Include dependency graph for SDL_test_assert.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | ASSERT_FAIL 0
#define | ASSERT_PASS 1

## Functions

void | SDLTest_Assert (int assertCondition, SDL_PRINTF_FORMAT_STRING const char *assertDescription,...) SDL_PRINTF_VARARG_FUNC(2)
int | SDLTest_AssertCheck (int assertCondition, SDL_PRINTF_FORMAT_STRING const char *assertDescription,...) SDL_PRINTF_VARARG_FUNC(2)
void | SDLTest_AssertPass (SDL_PRINTF_FORMAT_STRING const char *assertDescription,...) SDL_PRINTF_VARARG_FUNC(1)
void | SDLTest_ResetAssertSummary (void)
void | SDLTest_LogAssertSummary (void)
int | SDLTest_AssertSummaryToTestResult (void)

## Macro Definition Documentation

## ASSERT_FAIL

#define ASSERT_FAIL 0

Definition at line 48 of file SDL_test_assert.h.

## ASSERT_PASS

#define ASSERT_PASS 1

Definition at line 53 of file SDL_test_assert.h.

## Function Documentation

## SDLTest_Assert()

void SDLTest_Assert | ( | int | assertCondition,
|  | SDL_PRINTF_FORMAT_STRING const char * | assertDescription,
|  |  | ... )

References SDL_PRINTF_FORMAT_STRING, and SDL_PRINTF_VARARG_FUNC.

## SDLTest_AssertCheck()

int SDLTest_AssertCheck | ( | int | assertCondition,
|  | SDL_PRINTF_FORMAT_STRING const char * | assertDescription,
|  |  | ... )

References SDL_PRINTF_FORMAT_STRING, SDL_PRINTF_VARARG_FUNC, and SDLTest_AssertCheck().

Referenced by SDLTest_AssertCheck().

## SDLTest_AssertPass()

void SDLTest_AssertPass | ( | SDL_PRINTF_FORMAT_STRING const char * | assertDescription,
|  |  | ... )

References SDL_PRINTF_FORMAT_STRING, SDL_PRINTF_VARARG_FUNC, and SDLTest_AssertPass().

Referenced by SDLTest_AssertPass().

## SDLTest_AssertSummaryToTestResult()

int SDLTest_AssertSummaryToTestResult | ( | void |  | ) |

References SDLTest_AssertSummaryToTestResult().

Referenced by SDLTest_AssertSummaryToTestResult().

## SDLTest_LogAssertSummary()

void SDLTest_LogAssertSummary | ( | void |  | ) |

References SDLTest_LogAssertSummary().

Referenced by SDLTest_LogAssertSummary().

## SDLTest_ResetAssertSummary()

void SDLTest_ResetAssertSummary | ( | void |  | ) |

References SDLTest_ResetAssertSummary().

Referenced by SDLTest_ResetAssertSummary().